aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-mail-spf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:59:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:59:13 +0000
commitc0fe11e77ba3e44fba0ee9278f96bb79a55fbaca (patch)
treef882659517f5befdd555f38b241af7d36d4f5728 /main/perl-mail-spf/APKBUILD
parentd6be88948d681a9782989464d3e955df36276ccb (diff)
downloadaports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.gz
aports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.bz2
aports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.xz
main/perl-mail-spf: fix building
Diffstat (limited to 'main/perl-mail-spf/APKBUILD')
-rw-r--r--main/perl-mail-spf/APKBUILD22
1 files changed, 17 insertions, 5 deletions
diff --git a/main/perl-mail-spf/APKBUILD b/main/perl-mail-spf/APKBUILD
index 5a3f7549e0..8dc82627dc 100644
--- a/main/perl-mail-spf/APKBUILD
+++ b/main/perl-mail-spf/APKBUILD
@@ -3,18 +3,29 @@
pkgname=perl-mail-spf
_realname=Mail-SPF
pkgver=2.007
-pkgrel=0
+pkgrel=1
pkgdesc="An object-oriented implementation of Sender Policy Framework"
url="http://search.cpan.org/~jmehnle/Mail-SPF-v2.006/"
-arch="x86 x86_64"
+arch="noarch"
license="GPL PerlArtistic"
-depends="perl perl-error perl-net-dns perl-uri-escape"
+depends="perl perl-error perl-net-dns perl-uri-escape perl-netaddr-ip
+ perl-net-dns-resolver-programmable"
makedepends="perl-dev"
install=
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/$_realname-v$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/$_realname-v$pkgver.tar.gz
+ build.patch"
_builddir="$srcdir/$_realname-v$pkgver"
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
@@ -26,4 +37,5 @@ package() {
make DESTDIR="$pkgdir" install
}
-md5sums="67dccdc91e3264679a0e17d493d3cc30 Mail-SPF-v2.007.tar.gz"
+md5sums="67dccdc91e3264679a0e17d493d3cc30 Mail-SPF-v2.007.tar.gz
+7a32f8edc2aee8c6db0d8c2c84a570aa build.patch"